### Method

# Cogl Framebuffer push_rectangle_clip

#### Declaration [src]

    void
    cogl_framebuffer_push_rectangle_clip (
      CoglFramebuffer* framebuffer,
      float x_1,
      float y_1,
      float x_2,
      float y_2
    )

#### Description [src]

Specifies a modelview transformed rectangular clipping area for all subsequent drawing operations. Any drawing commands that extend outside the rectangle will be clipped so that only the portion inside the rectangle will be displayed. The rectangle dimensions are transformed by the current model-view matrix.

The rectangle is intersected with the current clip region. To undo the effect of this function, call cogl_framebuffer_pop_clip().

#### Parameters

`x_1`

  Type: `float`

  X coordinate for top left corner of the clip rectangle.

`y_1`

  Type: `float`

  Y coordinate for top left corner of the clip rectangle.

`x_2`

  Type: `float`

  X coordinate for bottom right corner of the clip rectangle.

`y_2`

  Type: `float`

  Y coordinate for bottom right corner of the clip rectangle.